org.eclipse.ease.modules.unittest.components

## Class TestResult

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestResult

    public class TestResult
    extends Object

Test problem.

### Constructor Summary

Constructors
Constructor and Description
`TestResult(TestStatus type, String description, List<IScriptDebugFrame> stackTrace)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()`
`List<IScriptDebugFrame>` `getStackTrace()`
`TestStatus` `getStatus()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestResult

    public TestResult(TestStatus type,
                      String description,
                      List<IScriptDebugFrame> stackTrace)

Constructor.

Parameters:
  `type` - problem type
  `description` - problem description
  `fileTrace` - file trace for problem

### Method Detail

#### getStatus

    public TestStatus getStatus()

#### getDescription

    public String getDescription()

#### getStackTrace

    public List<IScriptDebugFrame> getStackTrace()